import java.io.IOException;
import java.net.Socket;

public abstract class Class232 {

   public static Class570 aClass570_2673;


   public abstract boolean method3996(int var1) throws IOException;

   public abstract boolean method3997(int var1, int var2) throws IOException;

   public abstract int method3998(int var1) throws IOException;

   public abstract int method3999() throws IOException;

   public abstract void method4000(int var1);

   public abstract void method4001(byte[] var1, int var2, int var3, int var4) throws IOException;

   public abstract boolean method4002(int var1) throws IOException;

   public abstract int method4003(byte[] var1, int var2, int var3, int var4) throws IOException;

   public abstract int method4004() throws IOException;

   public abstract int method4005() throws IOException;

   public abstract void method4006(byte[] var1, int var2, int var3) throws IOException;

   public abstract int method4007(byte[] var1, int var2, int var3) throws IOException;

   public abstract int method4008(byte[] var1, int var2, int var3) throws IOException;

   public abstract void method4009(byte[] var1, int var2, int var3) throws IOException;

   public abstract void method4010(int var1);

   public abstract void method4011();

   public abstract void method4012();

   public abstract void method4013();

   public abstract void method4014();

   public abstract void method4015();

   public abstract void method4016();

   public static Class232 method4017(Socket var0, int var1) throws IOException {
      return new Class232_Sub1(var0, var1);
   }

   public static Class232 method4018(Socket var0, int var1) throws IOException {
      return new Class232_Sub1(var0, var1);
   }

   public static Class232 method4019(Socket var0, int var1) throws IOException {
      return new Class232_Sub1(var0, var1);
   }

   static final void method4020(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(1231941283 * client.anInt7831 != -1) {
         if(0 == var2) {
            var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 1231941283 * client.anInt7831;
            return;
         }

         --var2;
      }

      Class225_Sub4 var3;
      for(var3 = (Class225_Sub4)client.aClass423_7832.method7208(-405853513); var2-- > 0; var3 = (Class225_Sub4)client.aClass423_7832.method7226(1318981477)) {
         ;
      }

      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var3.anInt8385 * -165881631;
   }

   static void method4021(PacketContext var0, Class124 var1, int var2, int var3, int var4, int var5) {
      Class225_Sub15 var6;
      if(var2 == 1) {
         var6 = Class543.method11415(OutgoingOpcode.aClass302_3787, var0.aClass433_2184, (byte)1);
         Class197.method3392(var6, var3, var4, 961358561 * var1.anInt1444, (byte)1);
         var0.method3191(var6, (byte)-82);
      }

      if(2 == var2) {
         var6 = Class543.method11415(OutgoingOpcode.aClass302_3815, var0.aClass433_2184, (byte)1);
         Class197.method3392(var6, var3, var4, var1.anInt1444 * 961358561, (byte)1);
         var0.method3191(var6, (byte)-95);
      }

      if(3 == var2) {
         var6 = Class543.method11415(OutgoingOpcode.aClass302_3812, var0.aClass433_2184, (byte)1);
         Class197.method3392(var6, var3, var4, var1.anInt1444 * 961358561, (byte)1);
         var0.method3191(var6, (byte)21);
      }

      if(4 == var2) {
         var6 = Class543.method11415(OutgoingOpcode.aClass302_3859, var0.aClass433_2184, (byte)1);
         Class197.method3392(var6, var3, var4, 961358561 * var1.anInt1444, (byte)1);
         var0.method3191(var6, (byte)-6);
      }

      if(var2 == 5) {
         var6 = Class543.method11415(OutgoingOpcode.aClass302_3771, var0.aClass433_2184, (byte)1);
         Class197.method3392(var6, var3, var4, 961358561 * var1.anInt1444, (byte)1);
         var0.method3191(var6, (byte)102);
      }

      if(6 == var2) {
         var6 = Class543.method11415(OutgoingOpcode.aClass302_3757, var0.aClass433_2184, (byte)1);
         Class197.method3392(var6, var3, var4, var1.anInt1444 * 961358561, (byte)1);
         var0.method3191(var6, (byte)-66);
      }

      if(var2 == 7) {
         var6 = Class543.method11415(OutgoingOpcode.aClass302_3804, var0.aClass433_2184, (byte)1);
         Class197.method3392(var6, var3, var4, 961358561 * var1.anInt1444, (byte)1);
         var0.method3191(var6, (byte)-47);
      }

      if(8 == var2) {
         var6 = Class543.method11415(OutgoingOpcode.aClass302_3786, var0.aClass433_2184, (byte)1);
         Class197.method3392(var6, var3, var4, var1.anInt1444 * 961358561, (byte)1);
         var0.method3191(var6, (byte)100);
      }

      if(9 == var2) {
         var6 = Class543.method11415(OutgoingOpcode.aClass302_3775, var0.aClass433_2184, (byte)1);
         Class197.method3392(var6, var3, var4, var1.anInt1444 * 961358561, (byte)1);
         var0.method3191(var6, (byte)118);
      }

      if(10 == var2) {
         var6 = Class543.method11415(OutgoingOpcode.aClass302_3789, var0.aClass433_2184, (byte)1);
         Class197.method3392(var6, var3, var4, 961358561 * var1.anInt1444, (byte)1);
         var0.method3191(var6, (byte)-106);
      }

   }

   static final void method4022(Class508 var0, byte var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class91.method1805(var3, var4, var0, 2076079190);
   }
}
